package com.ruoyi.system.domain_shate;

import java.time.LocalDateTime;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/7 9:36
 */

public class Aspect extends  SysSTEntity{
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */

    private Integer id;

    private String zone;

    private  String year;

    private Double north;

    private Double northeast;

    private Double east;

    private Double southeast;

    private  Double max;

    private Double south;

    private Double southwest;

    private Double west;

    private Double northwest;


    private String imageDate;



    private String productCode1;


    private String productCode2;


    private String productCode3;


    private String createdBy;

    private LocalDateTime craeteTime;

    @Override
    public String toString() {
        return "Aspect{" +
                "id=" + id +
                ", zone='" + zone + '\'' +
                ", north=" + north +
                ", northeast=" + northeast +
                ", east=" + east +
                ", southeast=" + southeast +
                ", south=" + south +
                ", southwest=" + southwest +
                ", west=" + west +
                ", northwest=" + northwest +
                ", imageDate=" + imageDate +
                ", productCode1='" + productCode1 + '\'' +
                ", productCode2='" + productCode2 + '\'' +
                ", productCode3='" + productCode3 + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", craeteTime=" + craeteTime +
                '}';
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Double getNorth() {
        return north;
    }

    public void setNorth(Double north) {
        this.north = north;
    }

    public Double getNortheast() {
        return northeast;
    }

    public void setNortheast(Double northeast) {
        this.northeast = northeast;
    }

    public Double getEast() {
        return east;
    }

    public void setEast(Double east) {
        this.east = east;
    }

    public Double getSoutheast() {
        return southeast;
    }

    public void setSoutheast(Double southeast) {
        this.southeast = southeast;
    }

    public Double getSouth() {
        return south;
    }

    public void setSouth(Double south) {
        this.south = south;
    }

    public Double getSouthwest() {
        return southwest;
    }

    public void setSouthwest(Double southwest) {
        this.southwest = southwest;
    }

    public Double getWest() {
        return west;
    }

    public void setWest(Double west) {
        this.west = west;
    }

    public Double getNorthwest() {
        return northwest;
    }

    public void setNorthwest(Double northwest) {
        this.northwest = northwest;
    }

    public String getImageDate() {
        return imageDate;
    }

    public void setImageDate(String imageDate) {
        this.imageDate = imageDate;
    }

    public String getProductCode1() {
        return productCode1;
    }

    public void setProductCode1(String productCode1) {
        this.productCode1 = productCode1;
    }

    public String getProductCode2() {
        return productCode2;
    }

    public void setProductCode2(String productCode2) {
        this.productCode2 = productCode2;
    }

    public String getProductCode3() {
        return productCode3;
    }

    public void setProductCode3(String productCode3) {
        this.productCode3 = productCode3;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCraeteTime() {
        return craeteTime;
    }

    public void setCraeteTime(LocalDateTime craeteTime) {
        this.craeteTime = craeteTime;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public Double getMax() {
        return max;
    }

    public void setMax(Double max) {
        this.max = max;
    }
}